const Layout = () => import("@/layout/index.vue");

export default [
  // {
  //   path: "/",
  //   name: "Main",
  //   redirect: "/home",
  //   meta: {
  //     title: "首页",
  //     showLink: false,
  //     rank: 101
  //   }
  // },
  {
    path: "/index",
    name: "MainPage",
    component: () => import("@/views/home/index.vue"),
    meta: {
      title: "首页",
      showLink: false,
      rank: 101
    }
  },
  {
    path: "/login",
    name: "Login",
    component: () => import("@/views/login/index.vue"),
    meta: {
      title: "登录",
      showLink: false,
      rank: 101
    }
  },
  {
    path: "/register",
    name: "Register",
    component: () => import("@/views/register/index.vue"),
    meta: {
      title: "注册",
      showLink: false,
      rank: 104
    }
  },
  {
    path: "/registersucess",
    name: "RegisterSucess",
    component: () => import("@/views/register/registersucess.vue"),
    meta: {
      title: "注册成功",
      showLink: false,
      rank: 103
    }
  },
  {
    path: "/registernav",
    name: "RegisterNav",
    component: () => import("@/views/register/registernav.vue"),
    meta: {
      title: "注册向导",
      showLink: false,
      rank: 103
    }
  },
  {
    path: "/redirect",
    component: Layout,
    meta: {
      title: "加载中...",
      showLink: false,
      rank: 102
    },
    children: [
      {
        path: "/redirect/:path(.*)",
        name: "Redirect",
        component: () => import("@/layout/redirect.vue")
      }
    ]
  }
] satisfies Array<RouteConfigsTable>;
